# Ddr::Core

A port of ddr-models based on Valkyrie.

## Using the docker stack

Install docker (Docker for Mac includes all the required components).

Change to the `.docker` directory.

Start the *development* stack:

    $ ./dev.sh up -d --build

To run a Bash shell on the app server:

    $ ./dev.sh run --rm app bash

To connect to the *development* database:

    $ ./dev.sh run --rm app psql -U postgres -h db -d ddr_core

To run the *test suite*:

    $ ./run_test_suite.sh

Stop the *development* stack:

    $ ./dev.sh down
